%define name logcheck
%define version 1.1.1
%define release 2mdk

Name:		%{name}
Summary:	Psionic LogCheck
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Monitoring
URL:		http://www.psionic.com
Source:		%{name}-%{version}.tar.bz2
Patch:		logcheck.patch.bz2
BuildRoot:	/var/tmp/%{name}-buildroot
Prefix:		/usr
Packager:	Vincent Danen <vdanen@linux-mandrake.com>

%define docdir		$RPM_BUILD_ROOT%{prefix}/doc/%{name}-%{version}
%define installdir	$RPM_BUILD_ROOT%{prefix}/etc
%define installdir_bin	$RPM_BUILD_ROOT%{prefix}/sbin
%define tmpdir		$RPM_BUILD_ROOT%{prefix}/tmp

%description
Logcheck is a software package that is designed to automatically run and check 
system log files for security violations and unusual activity.  Logcheck 
utilizes a program called logtail that remembers the last position it read 
from in a log file and uses this position on subsequent runs to process new 
information.  All source code is available for review and the implementation 
was kept simple to avoid problems.  This package is a clone of the 
frequentcheck.sh script from the Trusted Information Systems Gauntlet(tm) 
firewall package.  TIS has granted permission for me to clone this package.

%prep
%setup -q
%patch -p1
%build


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

export DOCDIR=%{docdir}
export INSTALLDIR=%{installdir}
export INSTALLDIR_BIN=%{installdir_bin}
export INSTALLDIR_SH=%{installdir_bin}
export TMPDIR=%{tmpdir}
export CFLAGS=$RPM_OPT_FLAGS

mkdir -p %{docdir}
mkdir -p %{installdir}
mkdir -p %{installdir_bin}
mkdir -p %{tmpdir}

make linux

cp -f CHANGES CREDITS INSTALL LICENSE README* %{docdir}
cp -f ./systems/linux/README* %{docdir}


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files 
%defattr(-,root,root,0755)
%doc CHANGES CREDITS INSTALL LICENSE README 
%doc README.how.to.interpret README.keywords README.linux
%doc README.linux.IMPORTANT
/usr/etc/logcheck.hacking
/usr/etc/logcheck.ignore
/usr/etc/logcheck.violations
/usr/etc/logcheck.violations.ignore
%attr(0700,root,root) /usr/sbin/logcheck.sh
%attr(0700,root,root) /usr/sbin/logtail


%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-2mdk
- fix group
- clean spec
- bzip2 patch

* Fri Dec 3 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v 1.1.1
- used specfile provided by Vincent Danen <vdanen@linux-mandrake.Som>
- prevent creation of /usr/tmp to not remove the symlink

* Wed Dec 1 1999 Vincent Danen <vdanen@linux-mandrake.com>
- updated specfile for Mandrake contribs
- specfile cleanups
- bzip sources
- 1.1.1

* Tue Nov 9 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file to clean up properly
- specfile adaptations

* Tue Sep 28 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file

* Mon Sep 27 1999 Vincent Danen <vdanen@softhome.net>
- 1.1
- Mandrake adaptions
